--- src/fl_rounded_box.cxx
+++ src/fl_rounded_box.cxx
@@ -25,6 +25,9 @@
 
 static double offset[RN] = { 0.0, 0.07612, 0.29289, 0.61732, 1.0};
 
+static inline void fl_vertex_r(double x, double y) {
+    fl_vertex(x + .5, y + .5);
+}
 static void rbox(int fill, int x, int y, int w, int h) {
   int i;
   int rsx ,rsy, rs;
@@ -31,17 +34,19 @@ static void rbox(int fill, int x, int y, int w, in
   rsx = w*2/5; rsy = h*2/5;
   if (rsx > rsy) rs = rsy; else  rs = rsx;
   if (rs > RS) rs = RS;
+  if (rs == 5) rs = 4;
+  if (rs == 7) rs = 8;
   rsx = rs; rsy = rs;
 
   if (fill) fl_begin_polygon(); else fl_begin_loop();
   for (i=0; i<RN; i++)
-    fl_vertex(x + offset[RN-i-1]*rsx, y + offset[i] * rsy);
+    fl_vertex_r(x + offset[RN-i-1]*rsx, y + offset[i] * rsy);
   for (i=0; i<RN; i++)
-    fl_vertex(x + offset[i]*rsx, y + h-1 - offset[RN-i-1] * rsy);
+    fl_vertex_r(x + offset[i]*rsx, y + h-1 - offset[RN-i-1] * rsy);
   for (i=0; i<RN; i++)
-    fl_vertex(x + w-1 - offset[RN-i-1]*rsx, y + h-1 - offset[i] * rsy);
+    fl_vertex_r(x + w-1 - offset[RN-i-1]*rsx, y + h-1 - offset[i] * rsy);
   for (i=0; i<RN; i++)
-    fl_vertex(x + w-1 - offset[i]*rsx, y + offset[RN-i-1] * rsy);
+    fl_vertex_r(x + w-1 - offset[i]*rsx, y + offset[RN-i-1] * rsy);
   if (fill) fl_end_polygon(); else fl_end_loop();
 }
 
